## Troubleshooting Hardware

### RAM
1. **Symptoms**: Frequent crashes, Blue Screen of Death (Windows), or kernel panics (macOS/Linux).
2. **Steps**:
    - Turn off the computer and unplug it.
    - Open the case and reseat the RAM modules.
    - Try booting with one RAM stick at a time to isolate faulty modules.
    - Use software like MemTest86 to test RAM.

### CPU
1. **Symptoms**: Overheating, system instability, or failure to boot.
2. **Steps**:
    - Check the CPU temperature using BIOS or software like HWMonitor.
    - Ensure the CPU fan is working and reapply thermal paste if needed.
    - Check for bent pins or damaged components.

### Motherboard (MB)
1. **Symptoms**: Failure to boot, no power, or irregular behavior.
2. **Steps**:
    - Inspect for physical damage like burnt areas or bent pins.
    - Check all connections and reseat components.
    - Test with minimal hardware to isolate issues.

### Power Supply Unit (PSU)
1. **Symptoms**: No power, random shutdowns, or system instability.
2. **Steps**:
    - Use a PSU tester or multimeter to check voltage levels.
    - Inspect for physical damage or burnt smell.
    - Replace if faulty.

## Troubleshooting Network

### OSI Model
Use the OSI model as a framework for troubleshooting network issues. Start from the bottom layer and work your way up.

1. **Physical Layer**: Check cables, switches, and other hardware.
2. **Data Link Layer**: Verify MAC addresses and ensure devices can communicate within the same local network.
3. **Network Layer**: Check IP addresses, subnet masks, and routers.
4. **Transport Layer**: Verify that TCP or UDP ports are open and listening.
5. **Session Layer**: Ensure that sessions can be established and maintained.
6. **Presentation Layer**: Check for data format or encryption issues.
7. **Application Layer**: Verify that the application is functioning as expected, check for updates or patches.

